package ru.yandex.webmaster3.core.metrics;

import java.util.Optional;

/**
 * @author avhaliullin
 */
public class MonitoringCategoryUtil {
    public static Optional<String> getCategory(Class<?> clazz) {
        return Optional.ofNullable(clazz.getAnnotation(Category.class)).map(Category::value);
    }
}
